Bug 1034438

Summary: Race on getnetconfig.c leads to crash during fclose, endnetconfig, getnetconfig
Product: [Fedora] Fedora Reporter: Steve Dickson <steved>
Component: libtirpcAssignee: Steve Dickson <steved>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 19CC: akarlsso, fs-qe, jdonohue, jherrman, jlayton, pmutha, ssahani, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: libtirpc-0.2.3-5.fc20 Doc Type: Bug Fix
Doc Text:
Prior to this update, due to race conditions, using TI-RPC in the glibc library caused TI-RPC to terminate unexpectedly with a segmentation fault on some file operations, such as fclose() call and the endnetconfig() call. This update prevents the race conditions from occurring in the above scenario, and TI-RPC thus no longer crashes when used in glibc.
Story Points: ---
Clone Of: 1031498 Environment:
Last Closed: 2013-12-11 02:03:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1031498, 1038736    
Bug Blocks: 1034434    

Comment 1 Fedora Update System 2013-11-25 20:55:29 UTC
libtirpc-0.2.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtirpc-0.2.3-4.fc19

Comment 2 Fedora Update System 2013-11-25 20:56:33 UTC
libtirpc-0.2.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libtirpc-0.2.3-5.fc20

Comment 3 Fedora Update System 2013-11-26 17:56:18 UTC
Package libtirpc-0.2.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtirpc-0.2.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22143/libtirpc-0.2.3-5.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-12-11 02:03:30 UTC
libtirpc-0.2.3-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-12-14 02:45:53 UTC
libtirpc-0.2.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.